FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202101090040.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202101090040.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=7ac17e6 OS_GIT_VERSION=4.6.0-202101090040.p0-7ac17e6 SOURCE_DATE_EPOCH=1601408166 SOURCE_GIT_COMMIT=7ac17e63f34f501b78574524a90a21bf4d99297d SOURCE_GIT_TAG=7ac17e63 SOURCE_GIT_URL=https://github.com/openshift/cluster-storage-operator 
WORKDIR /go/src/github.com/openshift/cluster-storage-operator
COPY . .
RUN make

FROM openshift/ose-base:v4.6.0.20210109.011135
ENV __doozer=update BUILD_RELEASE=202101090040.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202101090040.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=7ac17e6 OS_GIT_VERSION=4.6.0-202101090040.p0-7ac17e6 SOURCE_DATE_EPOCH=1601408166 SOURCE_GIT_COMMIT=7ac17e63f34f501b78574524a90a21bf4d99297d SOURCE_GIT_TAG=7ac17e63 SOURCE_GIT_URL=https://github.com/openshift/cluster-storage-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-storage-operator/cluster-storage-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/0000_50_cluster_storage_operator_01_crd.yaml manifests/05_crd_operator.yaml
COPY vendor/github.com/openshift/api/operator/v1/0000_90_cluster_csi_driver_01_config.crd.yaml manifests/04_cluster_csi_driver_crd.yaml
ENTRYPOINT ["/usr/bin/cluster-storage-operator"]

LABEL \
        io.openshift.release.operator="true" \
        io.k8s.display-name="OpenShift Cluster Storage Operator" \
        io.k8s.description="The cluster-storage-operator installs and maintains the storage components of OCP cluster." \
        name="openshift/ose-cluster-storage-operator" \
        com.redhat.component="ose-cluster-storage-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202101090040.p0" \
        io.openshift.build.commit.id="7ac17e63f34f501b78574524a90a21bf4d99297d" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-storage-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-storage-operator/commit/7ac17e63f34f501b78574524a90a21bf4d99297d" \
        version="v4.6.0"

